# Review: https://bugzilla.redhat.com/show_bug.cgi?id=219930

Name:           lxpanel
Version:        0.5.10
Release:        5%{?dist}
Summary:        A lightweight X11 desktop panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.org/
#VCS: git:git://lxde.git.sourceforge.net/gitroot/lxde/lxinput
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz

# https://bugzilla.redhat.com/show_bug.cgi?id=564746
Patch0:         lxpanel-0.5.9-dsofix.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=746063
Patch1:         lxpanel-0.5.6-Fix-pager-scroll.patch

## distro specific patches
# default configuration
Patch100:       lxpanel-0.5.9-default.patch
# use nm-connection-editor to edit network connections
Patch101:       lxpanel-0.3.8.1-nm-connection-editor.patch

# ROSA Enterprise Server specific fixes
Patch102:       lxpanel-0.5.10-launchbar-ui.patch
Patch103:       lxpanel-0.5.10-bg-cairo-draw.patch
Patch104:	lxpanel-0.5.10-iconsize.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  docbook-utils
BuildRequires:  gettext
BuildRequires:  gtk2-devel 
BuildRequires:  intltool
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
# required for alsa mixer plugin
BuildRequires:  pkgconfig(alsa)
# required for netstatus plugin
BuildRequires:  wireless-tools-devel
BuildRequires:  pkgconfig(libmenu-cache) >= 0.3.0
BuildRequires:  pkgconfig(libwnck-1.0)
# Required for launchbar
BuildRequires:  menu-cache-devel
BuildRequires:  lxmenu-data


%description
lxpanel is a lightweight X11 desktop panel. It works with any ICCCM / NETWM 
compliant window manager (eg sawfish, metacity, xfwm4, kwin) and features a 
tasklist, pager, launchbar, clock, menu and sytray.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel 
Requires:       libXpm-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .dsofix
%patch1 -p1 -b .revert

%patch100 -p1 -b .default
%patch101 -p1 -b .system-config-network
%patch102 -p1
%patch103 -p1
%patch104 -p1

%build
%configure
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/lxpanel*
%{_datadir}/lxpanel/
%{_libdir}/lxpanel/
%{_mandir}/man1/lxpanel*

%files devel
%defattr(-,root,root,-)
%{_includedir}/lxpanel/
%{_libdir}/pkgconfig/lxpanel.pc


%changelog
* Sun Mar 10 2013 Simon Wesp <cassmodiah@fedoraproject.org> - 0.5.10-5
- rebuild, srpm from rels
